Good bye ancient software

In the past I also supported quite old software on my web site technically:

  • Internet Explorer 8 (and older), which was published on March 5, 2008.
  • Windows XP, whose official support has ended in April 2014 and which lacks support for SNI. Browsers running in Windows XP which don’t bring their own TLS implementation can not access my website using HTTPS (for example Chrome or Internet Explorer).
  • Android 2 or older which also lacks the support for SNI.

Now it is August 2016. Windows XP and older versions of the Internet Explorer are obsolete and not widely used any longer. For example only 0.1% of the requests on my web site where using Internet Explorer 8. Older versions are practically non-existent. For Android 2 the situation is similar: less than 0.1%.

Therefore I decided to stop the support of this ancient software from now on. The web site now also uses HTTPS always (which means the browsers have to support SNI) and html5shiv is also not used any longer.

PS: My web sie is still barrier-free and can also be used without JavaScript.

Leave a Comment

Your email address will not be published. Required fields are marked *